> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment stats

> Returns worker health information for a deployed pipeline.

Returns worker health information for the deployment.

<Note>
  **Required permission:** `read` — owners, editors, readers, and members of teams shared via `viewer_team`.
</Note>

**Path parameters:**

| Parameter   | Description               |
| :---------- | :------------------------ |
| `config_id` | Pipeline configuration ID |

```bash theme={null}
curl -X GET https://api.allium.so/api/v1/beam/${CONFIG_ID}/deploy/stats \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
```

**Response:**

```json theme={null}
{
  "workers_health": {
    "total_workers": 3,
    "healthy_workers": 3,
    "unhealthy_workers": 0,
    "crashing_workers": 0,
    "oom_killed_workers": 0,
    "workers": [
      {
        "name": "abc123",
        "status": "Running",
        "is_ready": true,
        "is_crash_looping": false,
        "is_oom_killed": false,
        "restart_count": 0,
        "start_time": "2025-01-15T10:30:00Z"
      }
    ]
  }
}
```

| Field                | Description                              |
| :------------------- | :--------------------------------------- |
| `total_workers`      | Number of worker pods                    |
| `healthy_workers`    | Workers running normally                 |
| `unhealthy_workers`  | Workers not ready                        |
| `crashing_workers`   | Workers in crash loop                    |
| `oom_killed_workers` | Workers killed due to memory             |
| `restart_count`      | High restart counts indicate instability |


## OpenAPI

````yaml _openapi/beam-api.json GET /api/v1/beam/{config_id}/deploy/stats
openapi: 3.1.0
info:
  title: Allium Beam API
  description: Allium Beam — managed streaming pipelines on top of Allium Datastreams.
  version: 1.0.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/beam/{config_id}/deploy/stats:
    get:
      tags:
        - BEAM
      summary: Get Deployment Status Handler
      operationId: get_deployment_status_handler_api_v1_beam__config_id__deploy_stats_get
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            type: string
            title: Config Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BeamDeploymentStats'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    BeamDeploymentStats:
      properties:
        workers_health:
          anyOf:
            - $ref: '#/components/schemas/WorkersHealthSummary'
            - type: 'null'
          description: Health status summary of workers in the deployment
      type: object
      title: BeamDeploymentStats
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkersHealthSummary:
      properties:
        total_workers:
          type: integer
          title: Total Workers
        healthy_workers:
          type: integer
          title: Healthy Workers
        unhealthy_workers:
          type: integer
          title: Unhealthy Workers
        crashing_workers:
          type: integer
          title: Crashing Workers
        oom_killed_workers:
          type: integer
          title: Oom Killed Workers
        workers:
          items:
            $ref: '#/components/schemas/WorkerHealthStatus'
          type: array
          title: Workers
      type: object
      required:
        - total_workers
        - healthy_workers
        - unhealthy_workers
        - crashing_workers
        - oom_killed_workers
        - workers
      title: WorkersHealthSummary
      description: >-
        Summary of worker health for the deployment. Expected to be external
        facing information.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WorkerHealthStatus:
      properties:
        name:
          type: string
          title: Name
        status:
          type: string
          title: Status
        is_ready:
          type: boolean
          title: Is Ready
        is_crash_looping:
          type: boolean
          title: Is Crash Looping
        is_oom_killed:
          type: boolean
          title: Is Oom Killed
        restart_count:
          type: integer
          title: Restart Count
        start_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Time
      type: object
      required:
        - name
        - status
        - is_ready
        - is_crash_looping
        - is_oom_killed
        - restart_count
      title: WorkerHealthStatus
      description: >-
        Health status of a single worker. Expected to be external facing
        information.
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````